Actualizar Debian 8 «Jessie» a Debian 9 «Stretch»

El 17 de junio de 2017 fue liberada la versión 9.0 conocida como Stretch. Entre lo nuevo que incluye esta el uso por defecto de MariaDB en lugar de MySQL, el regreso de Firefox y Thunderbird en lugar de Iceweasel y Icedove.

Si aún no has actualizado tu sistema, sigue estos sencillos pasos y en breve tendrás la nueva versión de Debian.

El primer paso es actualizar nuestra distribución Debian «Jessie», para ello y como super user ejecutamos los siguientes comandos en el terminal:

apt-get update

apt-get upgrade

apt-get dist-upgrade

El siguiente paso será editar el fichero sources.list sustituyendo la palabra jessie por la palabra stretch. Esto podemos hacerlo con cualquier editor de texto, el siguiente comando es para editar el fichero usando nano:

nano /etc/apt/sources.list

Ahora repetimos el paso uno y al reiniciar el sistema tendremos Debian 9 «Stretch»:

apt-get update

apt-get upgrade

apt-get dist-upgrade

ANEXO 1:

Es posible que te aparezca este problema:

The following packages contain unsatisfied dependencies:
Systemd: Break: rdnssd (<1.0.1-5) but 1.0.1-1 + b1 must be installed
E: Error, pkgProblem :: Resolve generated breaks, which could be caused by the packages to be kept as is.

A mí me pasó y lo solucioné desinstalando directamente el paquete rdnssd:

sudo apt-get remove rdnssd

ANEXO 2:

Comparto este enlace a un post de El array de Jota con la solución a algunos de los problemas más comunes al actualizar el sistema.